"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.platformToAddressFormat = exports.isPlatform = exports.chainToPlatform = exports.platformToChains = exports.platforms = void 0;
const utils_1 = require("../utils");
const platformAndChainsEntries = [[
        "Evm", [
            "Acala",
            "Arbitrum",
            "Aurora",
            "Avalanche",
            "Base",
            "Bsc",
            "Celo",
            "Ethereum",
            "Fantom",
            "Gnosis",
            "Karura",
            "Klaytn",
            "Moonbeam",
            "Neon",
            "Oasis",
            "Optimism",
            "Polygon",
            "Rootstock",
            "Sepolia",
        ]
    ], [
        "Solana", [
            "Solana",
            "Pythnet"
        ]
    ], [
        "Cosmwasm", [
            "Cosmoshub",
            "Evmos",
            "Injective",
            "Kujira",
            "Osmosis",
            "Sei",
            "Terra",
            "Terra2",
            "Wormchain",
            "Xpla",
        ]
    ], [
        "Btc", [
            "Btc"
        ]
    ], [
        "Algorand", [
            "Algorand"
        ]
    ], [
        "Sui", [
            "Sui"
        ]
    ], [
        "Aptos", [
            "Aptos"
        ]
    ], [
        "Near", [
            "Near"
        ]
    ],
];
exports.platforms = (0, utils_1.column)(platformAndChainsEntries, 0);
exports.platformToChains = (0, utils_1.constMap)(platformAndChainsEntries);
exports.chainToPlatform = (0, utils_1.constMap)(platformAndChainsEntries, [1, 0]);
const isPlatform = (platform) => exports.platformToChains.has(platform);
exports.isPlatform = isPlatform;
const platformAddressFormatEntries = [
    ["Evm", "hex"],
    ["Solana", "base58"],
    ["Cosmwasm", "bech32"],
    ["Btc", "bech32"],
    ["Algorand", "algorandAppId"],
    ["Sui", "hex"],
    ["Aptos", "hex"],
    ["Near", "sha256"],
];
exports.platformToAddressFormat = (0, utils_1.constMap)(platformAddressFormatEntries);
//# sourceMappingURL=platforms.js.map